/// <reference types="react" />
import { IStore } from '@proscom/prostore';
export declare type IProstoreContext = {
    [name: string]: IStore<any>;
};
export declare type StoreOrName<Store> = string | Store;
/**
 * React context which holds mapping of store names to their instances.
 * Used as the IoC container for store injection into the components
 */
export declare const ProstoreContext: import("react").Context<IProstoreContext>;
/**
 * Extracts store from the context based on the provided name,
 * or simply uses the provided instance
 *
 * @param storeOrName - store instance to be used, or store name to be injected from the context
 */
export declare function useContextStore<Store extends IStore<any>>(storeOrName: StoreOrName<Store>): Store;
