import { StoreOrName } from './ProstoreContext';
import { IStore, IStoreState } from '@proscom/prostore';
/**
 * Subscribe component to the store
 *
 * @param storeOrName - Store instance or name for it to be injected from the context
 * @returns
 *  state - local copy of store state;
 *  store - instance of the store
 */
export declare function useStore<Store extends IStore<any>>(storeOrName: StoreOrName<Store>): [IStoreState<Store>, Store];
/**
 * Subscribe component to the store
 *
 * @param storeOrName - Store instance or name for it to be injected from the context
 * @returns local copy of store state
 */
export declare function useStoreState<State>(storeOrName: StoreOrName<IStore<State>>): State;
